Skip to main content
GET
/
searches
/
investors
/
{searchId}
Get investor saved search details
curl --request GET \
  --url https://app.tryspecter.com/api/v1/searches/investors/{searchId} \
  --header 'X-API-Key: <api-key>'
{
  "id": 163,
  "name": "US Climate-Tech Investors",
  "query_id": 10,
  "product_type": "investors",
  "is_global": false,
  "full_count": 248
}

Documentation Index

Fetch the complete documentation index at: https://api.tryspecter.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The search ID that is being queried for.

Response

The details of an investor saved search.

id
integer
required

The search id for the saved search, this should be used to query for results for the saved search.

Example:

163

name
string
required

Name of the saved search.

Example:

"US Climate-Tech Investors"

query_id
integer
required

The query id that this saved search is related to, this can be used to query for the search in the address bar. , e.g. https://app.tryspecter.com/signals/investor/feed?queryId=10.

Example:

10

product_type
enum<string>
required

The product type the saved search applies to. Always investors for this endpoint — searches of a different product type return 400 NOT_SUPPORTED_PRODUCT.

Available options:
investors
Example:

"investors"

is_global
boolean
required

true when the saved search is a global search curated by Specter and available to all users. false for searches owned by your organization.

Example:

false

full_count
integer | null

The total number of investors that are returned by this saved search.

Example:

248